Bug 42711 - coral dumps core
coral dumps core
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-29 11:21 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-10 15:07:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-29 11:21:05 EDT
I found one more core file from
rpm -q xscreensaver
xscreensaver-3.29-3dbg

from coral program
The trace is:

gdb /usr/X11R6/lib/xscreensaver/coral core 
GNU gdb 5.0
Copyright 2000 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you
are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
Core was generated by `coral -root -delay 0'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/X11R6/lib/libXmu.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXmu.so.6
Reading symbols from /usr/X11R6/lib/libSM.so.6...done.
Loaded symbols for /usr/X11R6/lib/libSM.so.6
Reading symbols from /usr/X11R6/lib/libICE.so.6...done.
Loaded symbols for /usr/X11R6/lib/libICE.so.6
Reading symbols from /usr/X11R6/lib/libXt.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXt.so.6
Reading symbols from /usr/X11R6/lib/libX11.so.6...done.
Loaded symbols for /usr/X11R6/lib/libX11.so.6
Reading symbols from /usr/X11R6/lib/libXext.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXext.so.6
Reading symbols from /lib/libm.so.6...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libc.so.6...
done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
#0  0x400df746 in XrmQGetSearchResource () from /usr/X11R6/lib/libX11.so.6
(gdb) 
(gdb) bt
#0  0x400df746 in XrmQGetSearchResource () from /usr/X11R6/lib/libX11.so.6
#1  0x400e001b in XrmQGetSearchResource () from /usr/X11R6/lib/libX11.so.6
#2  0x400e00f2 in XrmQGetResource () from /usr/X11R6/lib/libX11.so.6
#3  0x400e01e0 in XrmGetResource () from /usr/X11R6/lib/libX11.so.6
#4  0x804b104 in get_string_resource (res_name=0xbfffee10 "Coral.Integer", 
    res_class=0x80504e0 "Integer") at resources.c:46
#5  0x804f80b in erase_full_window (dpy=0x805a510, window=12582918)
    at erase.c:568
#6  0x804a11a in screenhack (dpy=0x805a510, window=12582918) at coral.c:259
#7  0x804b06e in main (argc=1, argv=0xbffffab4) at screenhack.c:584
#8  0x401bcf31 in __libc_start_main (main=0x804a8b0 <main>, argc=4, 
    ubp_av=0xbffffab4, init=0x8049144 <_init>, fini=0x804f9ac <_fini>, 
    rtld_fini=0x4000e274 <_dl_fini>, stack_end=0xbffffaac)
    at ../sysdeps/generic/libc-start.c:129
(gdb)
Comment 1 Need Real Name 2001-06-01 19:56:39 EDT
Another crash of the same program 
(it crashed in a different place now)

gdb /usr/X11R6/lib/xscreensaver/coral core 
GNU gdb 5.0
Copyright 2000 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
Core was generated by `coral -root -delay 0'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/X11R6/lib/libXmu.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXmu.so.6
Reading symbols from /usr/X11R6/lib/libSM.so.6...done.
Loaded symbols for /usr/X11R6/lib/libSM.so.6
Reading symbols from /usr/X11R6/lib/libICE.so.6...done.
Loaded symbols for /usr/X11R6/lib/libICE.so.6
Reading symbols from /usr/X11R6/lib/libXt.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXt.so.6
Reading symbols from /usr/X11R6/lib/libX11.so.6...done.
Loaded symbols for /usr/X11R6/lib/libX11.so.6
Reading symbols from /usr/X11R6/lib/libXext.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXext.so.6
Reading symbols from /lib/libm.so.6...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libc.so.6...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
#0  chunk_free (ar_ptr=0x402c3300, p=0x805e0f8) at malloc.c:3080
3080	malloc.c: No such file or directory.
(gdb) bt
#0  chunk_free (ar_ptr=0x402c3300, p=0x805e0f8) at malloc.c:3080
#1  0x4021ee54 in __libc_free (mem=0x805e100) at malloc.c:3054
#2  0x804978e in init_coral (dpy=0x805a510, window=10485768) at coral.c:50
#3  0x804a0dd in screenhack (dpy=0x805a510, window=10485768) at coral.c:255
#4  0x804b06e in main (argc=1, argv=0xbffffab4) at screenhack.c:584
#5  0x401bcf31 in __libc_start_main (main=0x804a8b0 <main>, argc=4, 
    ubp_av=0xbffffab4, init=0x8049144 <_init>, fini=0x804f9ac <_fini>, 
    rtld_fini=0x4000e274 <_dl_fini>, stack_end=0xbffffaac)
    at ../sysdeps/generic/libc-start.c:129
(gdb) 
Comment 2 Need Real Name 2001-06-04 17:04:24 EDT
Another crash with coral from xscreensaver-3.29-3dbg

gdb /usr/X11R6/lib/xscreensaver/coral core
GNU gdb 5.0
Copyright 2000 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
Core was generated by `coral -root -delay 0'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/X11R6/lib/libXmu.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXmu.so.6
Reading symbols from /usr/X11R6/lib/libSM.so.6...done.
Loaded symbols for /usr/X11R6/lib/libSM.so.6
Reading symbols from /usr/X11R6/lib/libICE.so.6...done.
Loaded symbols for /usr/X11R6/lib/libICE.so.6
Reading symbols from /usr/X11R6/lib/libXt.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXt.so.6
Reading symbols from /usr/X11R6/lib/libX11.so.6...done.
Loaded symbols for /usr/X11R6/lib/libX11.so.6
Reading symbols from /usr/X11R6/lib/libXext.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXext.so.6
Reading symbols from /lib/libm.so.6...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libc.so.6...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
#0  0x400d9e61 in _XEnq () from /usr/X11R6/lib/libX11.so.6
(gdb) bt
#0  0x400d9e61 in _XEnq () from /usr/X11R6/lib/libX11.so.6
#1  0x400d9593 in _XReply () from /usr/X11R6/lib/libX11.so.6
#2  0x400d49aa in XSync () from /usr/X11R6/lib/libX11.so.6
#3  0x804f739 in slide_lines (dpy=0x805a510, window=10485768, gc=0x8108860, 
    width=1024, height=768, delay=-1073744544, granularity=0) at erase.c:524
#4  0x804f7c6 in erase_window (dpy=0x805a510, window=10485768, gc=0x8108860, 
    width=1024, height=135301216, mode=-1073744544, delay=10485768)
    at erase.c:552
#5  0x804f937 in erase_full_window (dpy=0x805a510, window=10485768)
    at erase.c:588
#6  0x804a11a in screenhack (dpy=0x805a510, window=10485768) at coral.c:259
#7  0x804b06e in main (argc=1, argv=0xbffffab4) at screenhack.c:584
#8  0x401bcf31 in __libc_start_main (main=0x804a8b0 <main>, argc=4, 
    ubp_av=0xbffffab4, init=0x8049144 <_init>, fini=0x804f9ac <_fini>, 
    rtld_fini=0x4000e274 <_dl_fini>, stack_end=0xbffffaac)
    at ../sysdeps/generic/libc-start.c:129
(gdb) 
Comment 3 Need Real Name 2001-06-08 02:21:25 EDT
gdb /usr/X11R6/lib/xscreensaver/coral core
GNU gdb 5.0
Copyright 2000 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
Core was generated by `coral -root -delay 0'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/X11R6/lib/libXmu.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXmu.so.6
Reading symbols from /usr/X11R6/lib/libSM.so.6...done.
Loaded symbols for /usr/X11R6/lib/libSM.so.6
Reading symbols from /usr/X11R6/lib/libICE.so.6...done.
Loaded symbols for /usr/X11R6/lib/libICE.so.6
Reading symbols from /usr/X11R6/lib/libXt.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXt.so.6
Reading symbols from /usr/X11R6/lib/libX11.so.6...done.
Loaded symbols for /usr/X11R6/lib/libX11.so.6
Reading symbols from /usr/X11R6/lib/libXext.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXext.so.6
Reading symbols from /lib/libm.so.6...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libc.so.6...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
#0  0x400df706 in XrmQGetSearchResource () from /usr/X11R6/lib/libX11.so.6
(gdb) bt
#0  0x400df706 in XrmQGetSearchResource () from /usr/X11R6/lib/libX11.so.6
#1  0x400e001b in XrmQGetSearchResource () from /usr/X11R6/lib/libX11.so.6
#2  0x400e00f2 in XrmQGetResource () from /usr/X11R6/lib/libX11.so.6
#3  0x400e01e0 in XrmGetResource () from /usr/X11R6/lib/libX11.so.6
#4  0x804b104 in get_string_resource (res_name=0xbfffee90 "Coral.Integer", 
    res_class=0x804fa14 "Integer") at resources.c:46
#5  0x804b3d5 in get_integer_resource (res_name=0xbffff290 "coral.delay2", 
    res_class=0x804fa14 "Integer") at resources.c:86
#6  0x8049d08 in coral (dpy=0x805a510, window=10485768) at coral.c:134
#7  0x804a0e6 in screenhack (dpy=0x805a510, window=10485768) at coral.c:256
#8  0x804b06e in main (argc=1, argv=0xbffffab4) at screenhack.c:584
#9  0x401bcf31 in __libc_start_main (main=0x804a8b0 <main>, argc=4, 
    ubp_av=0xbffffab4, init=0x8049144 <_init>, fini=0x804f9ac <_fini>, 
    rtld_fini=0x4000e274 <_dl_fini>, stack_end=0xbffffaac)
    at ../sysdeps/generic/libc-start.c:129
(gdb) 
Comment 4 Need Real Name 2001-06-10 13:49:42 EDT
gdb /usr/X11R6/lib/xscreensaver/coral core
GNU gdb 5.0
Copyright 2000 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
Core was generated by `coral -root -delay 0'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/X11R6/lib/libXmu.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXmu.so.6
Reading symbols from /usr/X11R6/lib/libSM.so.6...done.
Loaded symbols for /usr/X11R6/lib/libSM.so.6
Reading symbols from /usr/X11R6/lib/libICE.so.6...done.
Loaded symbols for /usr/X11R6/lib/libICE.so.6
Reading symbols from /usr/X11R6/lib/libXt.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXt.so.6
Reading symbols from /usr/X11R6/lib/libX11.so.6...done.
Loaded symbols for /usr/X11R6/lib/libX11.so.6
Reading symbols from /usr/X11R6/lib/libXext.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXext.so.6
Reading symbols from /lib/libm.so.6...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libc.so.6...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
#0  0x400df746 in XrmQGetSearchResource () from /usr/X11R6/lib/libX11.so.6
(gdb) bt
#0  0x400df746 in XrmQGetSearchResource () from /usr/X11R6/lib/libX11.so.6
#1  0x400e001b in XrmQGetSearchResource () from /usr/X11R6/lib/libX11.so.6
#2  0x400e00f2 in XrmQGetResource () from /usr/X11R6/lib/libX11.so.6
#3  0x400e01e0 in XrmGetResource () from /usr/X11R6/lib/libX11.so.6
#4  0x804b104 in get_string_resource (res_name=0xbfffee10 "Coral.Integer", 
    res_class=0x80504e0 "Integer") at resources.c:46
#5  0x804f80b in erase_full_window (dpy=0x805a510, window=10485768)
    at erase.c:568
#6  0x804a11a in screenhack (dpy=0x805a510, window=10485768) at coral.c:259
#7  0x804b06e in main (argc=1, argv=0xbffffab4) at screenhack.c:584
#8  0x401bcf31 in __libc_start_main (main=0x804a8b0 <main>, argc=4, 
    ubp_av=0xbffffab4, init=0x8049144 <_init>, fini=0x804f9ac <_fini>, 
    rtld_fini=0x4000e274 <_dl_fini>, stack_end=0xbffffaac)
    at ../sysdeps/generic/libc-start.c:129
(gdb) 
Comment 5 Need Real Name 2001-06-11 13:22:13 EDT
gdb /usr/X11R6/lib/xscreensaver/coral core
GNU gdb 5.0
Copyright 2000 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
Core was generated by `coral -root -delay 0'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/X11R6/lib/libXmu.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXmu.so.6
Reading symbols from /usr/X11R6/lib/libSM.so.6...done.
Loaded symbols for /usr/X11R6/lib/libSM.so.6
Reading symbols from /usr/X11R6/lib/libICE.so.6...done.
Loaded symbols for /usr/X11R6/lib/libICE.so.6
Reading symbols from /usr/X11R6/lib/libXt.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXt.so.6
Reading symbols from /usr/X11R6/lib/libX11.so.6...done.
Loaded symbols for /usr/X11R6/lib/libX11.so.6
Reading symbols from /usr/X11R6/lib/libXext.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXext.so.6
Reading symbols from /lib/libm.so.6...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libc.so.6...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
#0  0x400d9e61 in _XEnq () from /usr/X11R6/lib/libX11.so.6
(gdb) bt
#0  0x400d9e61 in _XEnq () from /usr/X11R6/lib/libX11.so.6
#1  0x400d9593 in _XReply () from /usr/X11R6/lib/libX11.so.6
#2  0x400d49aa in XSync () from /usr/X11R6/lib/libX11.so.6
#3  0x804f739 in slide_lines (dpy=0x805a510, window=10485768, gc=0x8109a30, 
    width=1024, height=768, delay=-1073744544, granularity=0) at erase.c:524
#4  0x804f7c6 in erase_window (dpy=0x805a510, window=10485768, gc=0x8109a30, 
    width=1024, height=135305776, mode=-1073744544, delay=10485768)
    at erase.c:552
#5  0x804f937 in erase_full_window (dpy=0x805a510, window=10485768)
    at erase.c:588
#6  0x804a11a in screenhack (dpy=0x805a510, window=10485768) at coral.c:259
#7  0x804b06e in main (argc=1, argv=0xbffffab4) at screenhack.c:584
#8  0x401bcf31 in __libc_start_main (main=0x804a8b0 <main>, argc=4, 
    ubp_av=0xbffffab4, init=0x8049144 <_init>, fini=0x804f9ac <_fini>, 
    rtld_fini=0x4000e274 <_dl_fini>, stack_end=0xbffffaac)
    at ../sysdeps/generic/libc-start.c:129
(gdb) 
Comment 6 Need Real Name 2001-06-11 13:25:43 EDT
From the trace above

width=1024, height=768, delay=-1073744544, granularity=0) at erase.c:524
width=1024, height=135305776, mode=-1073744544, delay=10485768) at erase.c:552

seems follow that there is something wrong with the argument,
seems they are misplaced.
Comment 7 Need Real Name 2001-06-22 11:35:49 EDT
gdb /usr/X11R6/lib/xscreensaver/coral core 
GNU gdb 5.0
Copyright 2000 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
Core was generated by `coral -root -delay 0'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/X11R6/lib/libXmu.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXmu.so.6
Reading symbols from /usr/X11R6/lib/libSM.so.6...done.
Loaded symbols for /usr/X11R6/lib/libSM.so.6
Reading symbols from /usr/X11R6/lib/libICE.so.6...done.
Loaded symbols for /usr/X11R6/lib/libICE.so.6
Reading symbols from /usr/X11R6/lib/libXt.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXt.so.6
Reading symbols from /usr/X11R6/lib/libX11.so.6...done.
Loaded symbols for /usr/X11R6/lib/libX11.so.6
Reading symbols from /usr/X11R6/lib/libXext.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXext.so.6
Reading symbols from /lib/libm.so.6...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libc.so.6...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
#0  0x400df746 in XrmQGetSearchResource () from /usr/X11R6/lib/libX11.so.6
(gdb) bt
#0  0x400df746 in XrmQGetSearchResource () from /usr/X11R6/lib/libX11.so.6
#1  0x400e001b in XrmQGetSearchResource () from /usr/X11R6/lib/libX11.so.6
#2  0x400e00f2 in XrmQGetResource () from /usr/X11R6/lib/libX11.so.6
#3  0x400e01e0 in XrmGetResource () from /usr/X11R6/lib/libX11.so.6
#4  0x804b104 in get_string_resource (res_name=0xbfffee10 "Coral.Integer", 
    res_class=0x80504e0 "Integer") at resources.c:46
#5  0x804f80b in erase_full_window (dpy=0x805a510, window=10485768)
    at erase.c:568
#6  0x804a11a in screenhack (dpy=0x805a510, window=10485768) at coral.c:259
#7  0x804b06e in main (argc=1, argv=0xbffffab4) at screenhack.c:584
#8  0x401bcf31 in __libc_start_main (main=0x804a8b0 <main>, argc=4, 
    ubp_av=0xbffffab4, init=0x8049144 <_init>, fini=0x804f9ac <_fini>, 
    rtld_fini=0x4000e274 <_dl_fini>, stack_end=0xbffffaac)
    at ../sysdeps/generic/libc-start.c:129
(gdb) 
Comment 8 Nishanth Thomas 2001-10-24 13:25:11 EDT
Verified in production environment in Red Hat 7.1.  Similar trace.
Comment 9 Jamie Zawinski 2002-07-27 02:40:47 EDT
This is definitely memory corruption -- the bad arguments are because the heap
got trashed at some point.  

I can't reproduce this here (rh 7.0, xscreensaver 4.05).  I also tried running
coral under memprof, and it didn't flag anything...
Comment 10 Ray Strode [halfline] 2004-11-10 15:07:19 EST
Hi,

This bug is quite old now.  Given the lack of activity on this report and the
likelihood that this bug has already been fixed, I am going to close it.  If you
encounter the problem discussed in this report with Fedora Core 3 or a recent
version of xscreensaver, feel free to reopen.

Thanks

Note You need to log in before you can comment on or make changes to this bug.